import { Plugable } from './plugin.js';

interface IFnConfig {
    name?: string;
    prefix?: string;
}
declare class Fn extends Plugable {
    constructor(cfg?: IFnConfig);
    fn(key: any, fn: any): void;
    add(items: any): void;
    default(): (ctx: any, next: any) => Promise<void>;
    mount(): (ctx: any, next: any) => Promise<void>;
    before(): (ctx: any, next: any) => Promise<void>;
}

export { Fn, type IFnConfig };
